

local timed = {}
local clocks = {}

function timed.newClock()
   table.insert(clocks, {time = 0})
end

function timed.done(duration, clock)
   if clocks[clock].time > duration then
      clocks[clock] = nil
      return true
   else
      return false
   end
end

function timed.update()
   clocks[#clocks].time = clocks[#clocks].time + love.timer.getDelta()
end

return timed