

function love.load()
   -- Libraries
   cron = require "libs/cron"

   require "player"
   require "environment"
   require "camera"
   require "sounds"

   controls = {
      player = {
	 right = "right",
	 left = "left",
	 up = "up",
	 down = "down"
      }
   }

   scale = 2

   camera:shake(10)
end

function love.update(dt)
   player:move(dt)
end

function love.keypressed(key)
   if key == "s" then
      environment:save("testmap")
   end
end

function love.draw()
   camera:set()

   environment:draw()
   player:draw()

   camera:unset()
end